Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 14969040: Add a new flag to dart2js: --trust-type-annotations and implement it in the types inferrer. (Closed)

Created:
4 years, 6 months ago by ngeoffray
Modified:
4 years, 6 months ago
Reviewers:
kasperl
CC:
reviews_dartlang.org
Visibility:
Public.

Description

Add a new flag to dart2js: --trust-type-annotations and implement it in the types inferrer. R=kasperl@google.com Committed: https://code.google.com/p/dart/source/detail?r=22918

Patch Set 1 : #

Total comments: 6

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+46 lines, -4 lines) Patch
M sdk/lib/_internal/compiler/implementation/apiimpl.dart View 1 1 chunk +2 lines, -0 lines 0 comments Download
M sdk/lib/_internal/compiler/implementation/compiler.dart View 1 2 chunks +2 lines, -0 lines 0 comments Download
M sdk/lib/_internal/compiler/implementation/dart2js.dart View 1 1 chunk +2 lines, -0 lines 0 comments Download
M sdk/lib/_internal/compiler/implementation/types/simple_types_inferrer.dart View 1 6 chunks +40 lines, -4 lines 0 comments Download
Trybot results:

Messages

Total messages: 5 (0 generated)
ngeoffray
Something along those lines?
4 years, 6 months ago (2013-05-15 15:58:01 UTC) #1
kasperl
https://codereview.chromium.org/14969040/diff/2001/sdk/lib/_internal/compiler/implementation/compiler.dart File sdk/lib/_internal/compiler/implementation/compiler.dart (right): https://codereview.chromium.org/14969040/diff/2001/sdk/lib/_internal/compiler/implementation/compiler.dart#newcode466 sdk/lib/_internal/compiler/implementation/compiler.dart:466: this.trustTypeAnnotations = Maybe keep the flags separate here, so ...
4 years, 6 months ago (2013-05-16 13:17:20 UTC) #2
ngeoffray
PTAL. I now differentiate between checked mode and the experimental flag. https://codereview.chromium.org/14969040/diff/2001/sdk/lib/_internal/compiler/implementation/compiler.dart File sdk/lib/_internal/compiler/implementation/compiler.dart (right): ...
4 years, 6 months ago (2013-05-17 14:34:25 UTC) #3
kasperl
LGTM.
4 years, 6 months ago (2013-05-21 07:09:11 UTC) #4
ngeoffray
4 years, 6 months ago (2013-05-21 07:31:17 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 manually as r22918 (presubmit successful).

Powered by Google App Engine
This is Rietveld efc10ee0f